.block-address-page{
    padding: 40px 0;
    .header-address{
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 30px 0;
        h1{
            font-style: normal;
            font-weight: 600;
            font-size: 24px;
            line-height: 35px;/* identical to box height */
            letter-spacing: 0.01em;
            text-transform: uppercase;
        }
        .btn-add-address{
            background: $main-color;
            border-radius: 18px;
            height: 36px;
            display: inline-flex;
            align-items: center;
            padding: 0 35px;
            font-family: $header-font;
            font-style: normal;
            font-weight: 500;
            font-size: 14px;
            line-height: 17px;
            text-transform: uppercase;
            color: white;
            transform: rotate(0);
            transition: all 0.23s;
            svg{
                margin-right: 10px;
            }
            &:hover{
                svg{
                    transform: rotate(180deg);
                    transition: all 0.23s;
                }
            }
        }
    }
    .elm-address{
        .user-address{
            padding: 35px 12px;
            background: #FFFFFF;
            box-shadow: inset 0px -1px 0px #F3F3F3, inset 0px 1px 0px #F3F3F3;
            .user-address-item{
                .name{
                    margin-bottom: 15px;
                    strong{
                        font-style: normal;
                        font-weight: 600;
                        font-size: 16px;
                        line-height: 23px;/* identical to box height */
                        text-transform: uppercase;
                    }
                    span.default{
                        font-family: Open Sans;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 12px;
                        line-height: 16px;/* identical to box height */
                        text-transform: uppercase;

                        color: #969696;
                    }
                }
                .desc{
                    p{
                        span.type{
                            display: inline-block;
                            font-family: $header-font;
                            font-style: normal;
                            font-weight: normal;
                            font-size: 12px;
                            line-height: 16px;/* identical to box height */
                            text-transform: uppercase;
                            color: $text-normal;
                            min-width: 90px;
                        }
                        span.ct{
                            font-family: Open Sans;
                            font-style: normal;
                            font-weight: normal;
                            font-size: 14px;
                            line-height: 19px;
                            color: $text-color;
                        }
                    }
                }
                .action-address{
                    .btn{
                        background: $main-color;
                        border-radius: 999px;
                        outline: none;
                        box-shadow: none;
                        font-style: normal;
                        font-weight: 500;
                        font-size: 14px;
                        line-height: 17px;
                        text-align: center;
                        text-transform: uppercase;
                        color: white;
                        margin-right: 5px;
                    }
                    .btn-delete{
                        background-color: transparent;
                        color: $main-color;
                    }
                }
            }
            .form-payment{
                h6{
                    font-style: normal;
                    font-weight: 600;
                    font-size: 14px;
                    line-height: 20px;/* identical to box height */
                    text-transform: uppercase;
                    margin-bottom: 18px;
                }
                .row{
                    margin-right: -10px;
                    margin-left: -10px;
                    .col-s{
                        padding-right: 10px;
                        padding-left: 10px;
                    }
                }
                .form-group{
                    .input-item {
                        position: relative;
                        height: 48px;
                    }
                    .full{
                        width: 100%;
                    }
                    .mr-3{
                        &:last-child{
                            margin-right: 0 !important;
                        }
                    }
                    label {
                        position: absolute;
                        top: 50%;
                        transform: translateY(-50%);
                        left: 10px;
                        font-family: $header-font;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 12px;
                        line-height: 17px;
                        transition: 0.2s all;
                        cursor: text;
                        color: $text-normal;
                    }
                    input {
                        font-family: $lato-font;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 14px;
                        line-height: 22px;
                        color: black;
                        padding-top: 18px;
                        padding-left: 10px;
                        padding-right: 10px;
                        height: 100%;
                        width: 100%;
                        background: #F9FAFB;
                        outline: none;
                        box-shadow: none;
                        border: 1px solid #E9E9E9;
                        box-sizing: border-box;
                        border-radius: 3px;
                    }
                    input:invalid {
                        outline: 0;
                        // color: #ff2300;
                        //   border-color: #ff2300;
                    }
                    input:focus,
                    input:valid {
                        // border-color: #00dd22;
                    }
                    input:focus~label,
                    input:valid~label {
                        top: 13px;
                    }
                }
                .action-address{
                    .btn{
                        background: $main-color;
                        border-radius: 999px;
                        outline: none;
                        box-shadow: none;
                        font-style: normal;
                        font-weight: 500;
                        font-size: 14px;
                        line-height: 17px;
                        text-align: center;
                        text-transform: uppercase;
                        color: white;
                        margin-right: 5px;
                    }
                    .btn-delete{
                        background-color: transparent;
                        color: $main-color;
                    }
                }
                .custom-check {
                    display: block;
                    position: relative;
                    padding-left: 25px;
                    margin:28px 0;
                    font-family: $header-font;
                    font-style: normal;
                    font-weight: normal;
                    font-size: 14px;
                    line-height: 16px;/* identical to box height */
                    cursor: pointer;
                    color: $text-color;
                    -webkit-user-select: none;
                    -moz-user-select: none;
                    -ms-user-select: none;
                    user-select: none;
                
                    input {
                        position: absolute;
                        opacity: 0;
                        cursor: pointer;
                
                        &:checked~.checkmark {
                            border-color: #B9256A;
                
                            &:after {
                                // background: #B9256A;
                            }
                        }
                
                        &:checked~.checkmark:after {
                            display: block;
                        }
                        &:checked~span{
                            color: #B9256A;
                        }
                    }
                
                    /* Create a custom radio button */
                    .checkmark {
                        position: absolute;
                        top: 0;
                        left: 0;
                        height: 16px;
                        width: 16px;
                        background-color: transparent;
                        border-radius: 2px;
                        border: 1px solid $text-normal;
                        box-sizing: border-box;
                        box-shadow: 0px 1px 0px rgba(22, 29, 37, 0.05);
                
                        &:after {
                            font-family: FontAwesome;
                            content: "\f00c";
                            position: absolute;
                            display: none;
                            top: 17%;
                            left: 30%;
                            transform: translate(-50%, -50%);
                            width: 9px;
                            height: 7px;
                            background: transparent;
                        }
                    }
                
                    &:hover input~.checkmark {
                        // background-color: transparent;
                    }
                }
            }
        }
        
    }
}
.bs-select{
    width: 100% !important;
    .bootstrap-select{
        width: 100% !important;
    }
    .selectpicker{
        width: 100%;
    }
    .btn-light{
        outline: none;
        box-shadow: none;
        height: 48px;
        background: #F9FAFB;
        border: 1px solid #E9E9E9;
        font-family: "Roboto", sans-serif;
        font-style: normal;
        font-weight: normal;
        font-size: 12px;
        line-height: 17px;
        .filter-option-inner-inner{
            // position: absolute;
            // color: transparent;
        }
        &::before{
            content: '';
            position: absolute;
            top: 50%;
            transform: translateY(-50%);
            right: 40px;
            width: 1px;
            height: 15px;
            background-color: #969696;
            transition: all 0.23s;
        }
        &::after{
            position: absolute;
            top: 50%;
            right: 15px;
            transform: translateY(-50%);
            border-top: 0.4em solid;
            border-right: .4em solid transparent;
            border-bottom: 0;
            border-left: 0.4em solid transparent;
            color: $text-normal !important;
        }
        &:focus,
        &:valid{
            // font-size: 14px;
        }
    }
    .isShow,
    .show{
        .btn-light{
            .filter-option-inner-inner{
                // color: $text-color;
            }
            &::before{
               
            }
        }
    }
    .dropdown-item{
        font-family: "Roboto", sans-serif;
        font-style: normal;
        font-weight: normal;
        font-size: 12px;
        line-height: 17px;
    }
}
.show>.btn-light.dropdown-toggle{
    background-color: #F9FAFB;
}
.dropdown-item.active, .dropdown-item:active{
    background-color: $main-color;
}